
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>C语言常用的三种排序方法总结与探讨 / iVAN</title>

    <meta name="description" content="C语言常用的三种排序方法总结与探讨 排序是程序设计中非常重要的内容,它的功能是将一组无序的的数据,排列成有序的数据序列,经过排列后的数据,要么是从大到小排列,要么是从小到大排列.一般也只有这两种情况. 例如我们统计班级学生的成绩,那么一般是按照学号来进行统计,原来成绩是无序排列的,这样的话非常不适合于我们对成绩的查询,那么一般我们进行成绩查询之前,先进行排序,如按照高分到低分的排序,这样可以很快地查出本班的最高分和最低分,和成绩比较靠前或靠后的学生. 排序有很多种方法,常用的有三种:冒泡排序.选择排序.插入排序等,下面我们就对这三">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">C语言常用的三种排序方法总结与探讨</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>排序是程序设计中非常重要的内容，它的功能是将一组无序的的数据，排列成有序的数据序列，经过排列后的数据，要么是从大到小排列，要么是从小到大排列。一般也只有这两种情况。</p>
<p>例如我们统计班级学生的成绩，那么一般是按照学号来进行统计，原来成绩是无序排列的，这样的话非常不适合于我们对成绩的查询，那么一般我们进行成绩查询之前，先进行排序，如按照高分到低分的排序，这样可以很快地查出本班的最高分和最低分，和成绩比较靠前或靠后的学生。</p>
<p>排序有很多种方法，常用的有三种：冒泡排序、选择排序、插入排序等，下面我们就对这三种方法做一下分析和比较，以便大家能够更好的理解和应用。</p>
<p>一、冒泡排序</p>
<p>1、冒泡排序的基本思想：对于n个数进行排序（现假定是从大到小排序，以下均按此进行），将相邻两个数依次比较，将大数调在前头：也就是说第一个数和第二个数比较，大数放前，小数放后，第二个和第三个进行比较，大数放前、小数放后，然后依次类推。。。经过第一轮比较以后，我们找到一个最小数在最下面（沉底）。然后进行下一轮比较，最后一个数就不用再参加比较了，所以本轮就可以少比较一次。</p>
<p>很显然，需要用双重循环来设计这个问题，外层循环控制进行的轮数，内层循环控制每轮比较的次数，那么到底需要多少轮、每轮需要多少次，我们通过一个实例看一下：</p>
<p>2、排序过程举例：</p>
<table>
<tbody>
<tr>
<td>
            <br />外循环</p>
</td>
<td>
            <br />1轮</p>
</td>
<td>
            <br />2轮</p>
</td>
<td>
            <br />3轮</p>
</td>
<td>
            <br />4轮</p>
</td>
</tr>
<tr>
<td>
            <br />内循环</p>
</td>
<td>
            <br />5个数比较4次</p>
</td>
<td>
            <br />4个数比较3次</p>
</td>
<td>
            <br />3个数比较2次</p>
</td>
<td>
            <br />2个数比较1次</p>
</td>
</tr>
<tr>
<td>
            <br />7</p>
<p>5</p>
<p>8</p>
<p>6</p>
<p>9</p>
</td>
<td>
            <br />1次</p>
</td>
<td>
            <br />2次</p>
</td>
<td>
            <br />3次</p>
</td>
<td>
            <br />4次</p>
</td>
<td>
            <br />1次</p>
</td>
<td>
            <br />2次</p>
</td>
<td>
            <br />3次</p>
</td>
<td>
            <br />1 次</p>
</td>
<td>
            <br />2次</p>
</td>
<td>
            <br />1次</p>
</td>
</tr>
<tr>
<td>
            <br />7</p>
<p>5</p>
<p>8</p>
<p>6</p>
<p>9</p>
</td>
<td>
            <br />7</p>
<p>8</p>
<p>5</p>
<p>6</p>
<p>9</p>
</td>
<td>
            <br />7</p>
<p>8</p>
<p>6</p>
<p>5</p>
<p>9</p>
</td>
<td>
            <br />7</p>
<p>8</p>
<p>6</p>
<p>9</p>
<p>5</p>
</td>
<td>
            <br />8</p>
<p>7</p>
<p>6</p>
<p>9</p>
<p>5</p>
</td>
<td>
            <br />8</p>
<p>7</p>
<p>6</p>
<p>9</p>
<p>5</p>
</td>
<td>
            <br />8</p>
<p>7</p>
<p>9</p>
<p>6</p>
<p>5</p>
</td>
<td>
            <br />8</p>
<p>7</p>
<p>9</p>
<p>6</p>
<p>5</p>
</td>
<td>
            <br />8</p>
<p>9</p>
<p>7</p>
<p>6</p>
<p>5</p>
</td>
<td>
            <br />9</p>
<p>8</p>
<p>7</p>
<p>6</p>
<p>5</p>
</td>
</tr>
<tr>
<td> </td>
<td>
            <br />最小的数5沉底，其余4个数继续比较</p>
</td>
<td>
            <br />次小数6沉底，其余3个数</p>
</td>
<td>
            <br />7沉底，其余2个数比较</p>
</td>
<td>
            <br />最后两个数一次比较</p>
</td>
</tr>
</tbody>
</table>
<p>那么通过这个排序过程，我们了解了怎样去进行排序，那么到底谁是气泡呢，我们可以从中找出答案，那么从大到小进行排序，较大的一些数就是气泡。随着排序的进行，气泡逐步上升。</p>
<p>从这个排序过种中，还可以看出，5个数实际经过4轮就可以了，实践证明，n个数最多需要n-1轮排序就可以了。</p>
<p>3、冒泡排序的程序如下：</p>
<p>for(i=0;i&lt;10;i++)</p>
<p>for(j=0;j&lt;10-i;j++)</p>
<p>if(a[j]&lt;a[j+1])</p>
<p>{t=a[j];a[j]=a[j+1];a[j+1]=t;}</p>
<p>在此程序段的上面加上输入部分和在程序段加上排序后的输出。</p>
<p>程序的改进：</p>
<p>4、算法的改进：</p>
<p>从上面的排序的过程可以看出，如果一个已经排好序的一组数或者经过很少的轮数就可以排完这些数，但是循环还是要继续进行，这样设计出的程序浪费了大量的时间，所以对一这个算法我们可以重新设计。</p>
<p>经过修改后的程如下：</p>
<p>for(i=0;i&lt;10&amp;&amp;!swap;i++)</p>
<p>{</p>
<p>swap=1;</p>
<p>for(j=0;j&lt;10-I;j++)</p>
<p>if(a[j]&lt;a[j+1])</p>
<p>{t=a[j];a[j]=a[j+1];a[j+1]=t;swap=0;}</p>
<p>}</p>
<p>二、选择排序</p>
<p>1、排序的基本思想：先从第一个数开始起，用第一个数和其它的数进行比较，如果比第一个数大就交换位置，否则不进行交换，这样经过第一轮比较我们就能够找出最大值放在第一位置，然后从第二个位置起再找次大数，这样依次下去，就可以进行整个数的排序，实践证明，n个数最多需要n-1轮排序就可以了。</p>
<p>2、排序过程举例：</p>
<table>
<tbody>
<tr>
<td>
            <br />外循环</p>
</td>
<td>
            <br />1轮</p>
</td>
<td>
            <br />2轮</p>
</td>
<td>
            <br />3轮</p>
</td>
<td>
            <br />4轮</p>
</td>
</tr>
<tr>
<td>
            <br />内循环</p>
</td>
<td>
            <br />5个数比较4次</p>
</td>
<td>
            <br />4个数比较3次</p>
</td>
<td>
            <br />3个数比较2次</p>
</td>
<td>
            <br />2个数比较1次</p>
</td>
</tr>
<tr>
<td>
            <br />7</p>
<p>5</p>
<p>8</p>
<p>6</p>
<p>9</p>
</td>
<td>
            <br />1次</p>
</td>
<td>
            <br />2次</p>
</td>
<td>
            <br />3次</p>
</td>
<td>
            <br />4次</p>
</td>
<td>
            <br />1次</p>
</td>
<td>
            <br />2次</p>
</td>
<td>
            <br />3次</p>
</td>
<td>
            <br />1 次</p>
</td>
<td>
            <br />2次</p>
</td>
<td>
            <br />1次</p>
</td>
</tr>
<tr>
<td>
            <br />7</p>
<p>5</p>
<p>8</p>
<p>6</p>
<p>9</p>
</td>
<td>
            <br />8</p>
<p>5</p>
<p>7</p>
<p>6</p>
<p>9</p>
</td>
<td>
            <br />8</p>
<p>5</p>
<p>7</p>
<p>6</p>
<p>9</p>
</td>
<td>
            <br />9</p>
<p>5</p>
<p>7</p>
<p>6</p>
<p>8</p>
</td>
<td>
            <br />9</p>
<p>7</p>
<p>5</p>
<p>6</p>
<p>8</p>
</td>
<td>
            <br />9</p>
<p>7</p>
<p>5</p>
<p>6</p>
<p>8</p>
</td>
<td>
            <br />9</p>
<p>8</p>
<p>5</p>
<p>6</p>
<p>7</p>
</td>
<td>
            <br />9</p>
<p>8</p>
<p>6</p>
<p>5</p>
<p>7</p>
</td>
<td>
            <br />9</p>
<p>8</p>
<p>7</p>
<p>6</p>
<p>5</p>
</td>
<td>
            <br />9</p>
<p>8</p>
<p>7</p>
<p>6</p>
<p>5</p>
</td>
</tr>
<tr>
<td> </td>
<td>
            <br />最大的数9找到，其余4个数找次大数</p>
</td>
<td>
            <br />次大数8找到，其余3个数找</p>
</td>
<td>
            <br />7找到，其余2个数找</p>
</td>
<td>
            <br />最后两个数一次比较</p>
</td>
</tr>
</tbody>
</table>
<p>选择排序较冒泡容易理解，程序编写也要相对容易一些。</p>
<p>for(i=0;i&lt;10;i++)</p>
<p>for(j=i+1;j&lt;10;j++)</p>
<p>if(a[i]&lt;a[j])</p>
<p>{t=a[i];a[i]=a[j];a[j]=t;}</p>
<p>对于选择排序，我们也可以看到一个问题，如第一轮排序中，我们要找的是9才是最大值，所以其它的交换完全没有必要进行，其它各轮都存在这样的情况，所以我们可以想办法取消这种情况，也就是说我们真正找到的最大值的位置后再进行交换。</p>
<p>for(i=0;i&lt;10;i++)</p>
<p>{　p=i;</p>
<p>for(j=i+1;j&lt;10;j++)</p>
<p>if(a[p]&lt;a[j])</p>
<p>p=j;</p>
<p>if(p!=i)</p>
<p>{t=a[i];a[i]=a[j];a[j]=t;}</p>
<p>}</p>
<p>这样算法经过改进以后就较好地解决了这个问题。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-06 23:52:37</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e4%b8%aa%e6%95%b0/" title="个数">个数</a>, <a href="https://www.iamivan.net/tag/%e5%be%aa%e7%8e%af/" title="循环">循环</a>, <a href="https://www.iamivan.net/tag/%e5%b0%8f%e6%95%b0/" title="小数">小数</a>, <a href="https://www.iamivan.net/tag/%e6%8e%92%e5%ba%8f/" title="排序">排序</a>, <a href="https://www.iamivan.net/tag/%e6%b0%94%e6%b3%a1/" title="气泡">气泡</a>, <a href="https://www.iamivan.net/tag/2%e6%ac%a1/" title="2次">2次</a>, <a href="https://www.iamivan.net/tag/%e5%a4%a7%e6%95%b0/" title="大数">大数</a>, <a href="https://www.iamivan.net/tag/%e8%87%aa%e9%80%82%e5%ba%94%e6%b2%89%e5%ba%95/" title="自适应沉底">自适应沉底</a>, <a href="https://www.iamivan.net/tag/9%e7%a7%8d/" title="9种">9种</a>, <a href="https://www.iamivan.net/tag/%e5%b8%b8%e7%94%a8%e6%8e%92%e5%ba%8f/" title="常用排序">常用排序</a>, <a href="https://www.iamivan.net/tag/%e6%8e%92%e5%ba%8f%e6%af%94%e8%be%83/" title="排序比较">排序比较</a>, <a href="https://www.iamivan.net/tag/c%e8%af%ad%e8%a8%80%e6%8f%92%e5%85%a5%e6%8e%92%e5%ba%8f/" title="C语言插入排序">C语言插入排序</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>C语言常用的三种排序方法总结与探讨的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bjdxa5p.html" rel="bookmark">三种排序方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				   今天想给大家分享三种排序方法:选择排序,直接排序,还有冒泡排序,对于这些排序方法,我的感觉是有些模糊,也对比了一下,不是很懂直接排序法,如果有懂得,给我讲一下.这几个方法主要是排序,有的不重复,有的重复.          方法一:选择排序法 Option Explicit Option Base 1 Private Sub cmdsort_Click()                    Dim a(10) As Integer, temp As Integer           			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pdReQ2b.html" rel="bookmark">常用的三种推广方法的利与弊</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 博客推广 好处: a.数量上不受**,这点跟论坛推广一样,软文发一千,一万,你也不必在本人的站上减少一个别人的链接. b.同一篇软文里,链接数量也没论坛推广那么严,假如你手头有几个站,在文章后面都去做上链接,也没关系. c.各大门户站里开博,根本上都带情谊链接成效的,这样不管你有几个,你都可能加出来,而且是本人抉择锚文本的链接. 不足之处:			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ba6NQQM.html" rel="bookmark">PHP中数组的三种排序方法分享&lowbar;php技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.冒泡排序法 说明:找到最大的数,排列到最后面,然后继续找 例: 复制代码 代码如下: $arr = array(3,5,-1,0,2); for($i=0;$i&lt;count($arr)-1;$i++){ for($j=0;$j&lt;count($arr)-1-$i;$j++){ if($arr[$j]&gt;$arr[$j+1]){ $temp = $arr[$j]; $arr[$j]=$arr[$j+1]; $arr[$j+1]=$temp; } } } 理解: 3,5,-1,0,2 //从			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/9bBNV4b.html" rel="bookmark">搜索引擎常用的三种网站排序算法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				搜索引擎如何对互联网上那么多的网站进行合适的排名?想必做站长的都想知道这一点,这是通过一套非常繁琐复杂的算法计算出来的,具体的算法想必没有几个人知道,但是最常用的三种算法还是需要大家去了解一下的. 1.词频位置加权排序算法:顾名思义是说从整个网站上的文字的位置上与出现的次数进行排序,先来说一下位置,不同的网站关键词在内容里出现与在标题里面出现时差别非常大的,搜索引擎认为标题能表现出一个网站是干什么的,如果标题里面出现了关键词要远比文章里面出现关键词重要的多的多.这就是现在大家都知道一个网站的标题			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bEl5O6z.html" rel="bookmark">Excel表格中常用的三种数据转置的方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  Excel表格中常用的三种数据转置的方法          如下图所示,需要将A2:B9的内容,转变为D列的样子. 思考一下,有几种方法能实现呢? 这个题目乍一看是有点难度的高大上,是不是啊? 1.VBA代码法 按Ctrl+F11,打开VBE编辑器,在代码窗口中写上以下代码: Sub run() For i = 1 To 8 Cells(2 + (i - 1) * 2, 4) = Cells(i + 1, 1) Cells(3 + (i - 1) * 2, 4) = Cells(i + 1,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bB1y0Az.html" rel="bookmark">java语言中哪一种排序算法用的最多？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 java语言中哪一种排序算法用的最多? java语言中哪一种排序算法用的最多?快速排序既然效率高,为什么我们还要用冒泡呢?冒泡的好处是什么? 解决方案 不能说快速排序一定效率高,对于有序的序列,归并排序的效率就更高.对于大量小整数的排序,基数排序不但效率高,而且占用内存少.各种排序有不同的使用场合.所以都要学习,而不是问哪种常用. 解决方案二: 冒泡排序是用来理解排序的思路的,快速排序是默认的java排序,但是稳定性极差,建议你去百度八大排序,从快速插入排序开始,系统的学习理解排序.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bEYJr9b.html" rel="bookmark">PHP常用的三种设计模式汇总&lowbar;php技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本篇文章是学习PHP中常用的三种设计模式的笔记及总结,不管采用哪一门语言开发什么,几乎都会使用到设计模式,我们为什么需要设计模式呢?它的诞生对于我们开发人员来说有什么样的作用与意义呢? 相信做iOS开发的人员对设计模式也会挺熟悉吧?比如单例设计模式.工厂设计模式.观察者模式.MVC框架结构设计模式等. 接下来我们一起来学习PHP中最常用的三种设计模式:单例设计模式.工厂设计模式和观察者设计模式. 单例设计模式 所谓单例模式,即在应用程序中最多只有该类的一个实例存在,一旦创建,就会一直存在于内存中			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQ161Gb.html" rel="bookmark">JS面向对象（3）之Object类，静态属性，闭包，私有属性， call和apply的使用，继承的三种实现方法&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.Object类 在JS中,Object是所有类的基类,使用Object类来创建自定义对象时,可以无需定义构造函数(constructor,prototype,hasOwnProperty(property)) var per = new Object(); per.name = 'zhangsan'; per.age = ; alert(per.name + per.age); 我们想在程序中得到一个对象变量,只要能存储大量数据即可,这个时候,我们可以考虑使用Object类.Object类避			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/vbQL30z.html" rel="bookmark">网站运营：大型网站常用的五种推广方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				推广|网站运营 大型网站常用的五种推广方法   不同类型的网站,其推广方法的选择也是不同的,对于大型网站而言,那几种方法是最有效的呢?     1.搜索引擎优化:     由于大型网站的信息量非常的大,它的页面可能是上百万个页面,其每个页面都包含有相应得关键词,所以如果这些页面都能够从搜索引擎优化的角度来设计的话,将会帮助网站从搜索引擎中获得非常大的流量.比如IT.com.cn网站,目前每天能够从搜索引擎中获得几十万IP的流量.     平均而言,搜索引擎给网站带来的流量,占其新流量的75%左右			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xp8Zgob.html" rel="bookmark" class="title">&OpenCurlyDoubleQuote;宽带中国&rdquo;战略下的驻地网建设</a>
					<div>
						&quot;宽带中国战略&quot;的核心在于提升用户的入户带宽,实现宽带的真正提速.2011年岁末曾有报告指出国内宽带&quot;缺斤少两&quot;,中国网民使用的实际宽带下载速率低于运营商提供的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/2MWDojp.html" rel="bookmark" class="title">Java Servlet 和 JSP教程（1）</a>
					<div>
						js|servlet|教程 1 概述 1.1 Java Servlet及其特点 Servlet是Java技术对CGI编程的回答.Servlet程序在服务器端运行,动态地生成Web页面.与传统的CGI和 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMyyQJM.html" rel="bookmark" class="title">天融信防火墙&colon;双址路由服务教育用户</a>
					<div>
						我们知道不少的教育单位为了保证网络访问速度, 同时有两条或是多条互联网出口, 一条是通过教育网的线路连接到Internet ,另外一条就是申请电信的线路直接连接到互联网等多种接入模式.这种多出口环境为 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/7b23BoM.html" rel="bookmark" class="title">CSS布局自适应高度解决方法</a>
					<div>
						css|解决|自适应 这是一个比较典型的三行二列布局,每列高度(事先并不能确定哪列的高度)的相同,是每个设计师追求的目标,按一般的做法,大多采用背景图填充.加JS脚本的方法使列的高度相同,本文要介绍的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Lp5B5nz.html" rel="bookmark" class="title">用ASP&plus;DLL实现WEB方式修改服务器时间</a>
					<div>
						asp+|web|服务器  昨天一个朋友有个需求,是要通过WEB方式,修改IIS上的时间,由于他的系统是ASP3.0下开发的,所以本例子的代码是ASP的,不是ASP.NET,但是本人写这个文章是想抛砖 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/aM1V0op.html" rel="bookmark" class="title">DataSet的几个基本操作</a>
					<div>
						DataSet的几个基本操作 最近写程序的时候遇到一个问题,向TEXT类型(SQL SERVER)字段中INSERT内容不能直接用SQL语句,因为其中有换行,特殊字符.所以只能用DataSet. 记得 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ybjB5nb.html" rel="bookmark" class="title">ASP&period;NET编写一个在线RSS新闻聚合器</a>
					<div>
						RSS新闻聚合现在好像很流行哦,让我们也来玩一下,不过我们要玩的是:用ASP.NET编写一个在线RSS新闻聚合器. 概要 本文讲解了如何使用 XML Web 控件获取远程XML数据并在 ASP.NET ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPNO1lb.html" rel="bookmark" class="title">Spring事务管理高级应用难点剖析&colon; 第2部分</a>
					<div>
						联合军种作战的混乱 Spring 抽象的 DAO 体系兼容多种数据访问技术,它们各有特 色,各有千秋.像 Hibernate 是非常优秀的 ORM 实现方案,但对底层 SQL 的控制不太方便: 而 i ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/balylmz.html" rel="bookmark" class="title">怎样调修优雅黑白效果</a>
					<div>
						    参考片是挪威著名摄影师索威·桑德波(Solve Sunsbo)拍摄的一张照片.人物气质优雅,光影质感突出,通过压暗周围背景和模糊焦点以外的部分突出了人物主体,很好地挖掘了一种影像的内在简单性, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLOxE0M.html" rel="bookmark" class="title">酷狗显示为手机铃声格式的歌曲</a>
					<div>
						1.在酷狗右侧面板的音乐搜索框里,输入要搜索的关键字(歌手名或歌曲名),点击&quot;音乐搜索&quot;右侧的下拉菜单中的&quot;搜索铃声&quot;按钮;如(图1) 图1 2.在酷狗右侧面板 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJ7WB7b.html" rel="bookmark" class="title">Excel中使用拖动法复制与移动数据</a>
					<div>
						在 在Excel 2007中,还可以使用鼠标拖动法来移动或复制单元格内容.要移动单元格内容,应首先单击要移动的单元格或选定单元格区域,然后将光标移至单元格区域边缘,当光标变为箭头形状后,拖动光标到指定 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvGGO9p.html" rel="bookmark" class="title">php中如何实现回删功能</a>
					<div>
						 php中怎么实现回删功能 function del(){var input=document.getElementsByName('inp')[0].value;alert(input.constr ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwLW1Eb.html" rel="bookmark" class="title">PhotoShop&plus;Camera Raw 6&period;1调时尚黑白片</a>
					<div>
						效果对比 在调修普通棚拍人像时借鉴这种影像风格应该注意以下几点: 1.转黑白的时候要注意暗部层次的调整,所以要适当减少黑色. 2.应用镜头校正功能压暗照片四角时,压暗的程度应根据照片的具体情况而定(构 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mg3B6BM.html" rel="bookmark" class="title">if判断-wix制作安装包实现if逻辑判断</a>
					<div>
						问题描述 wix制作安装包实现if逻辑判断 我想用wix制作一个安装包,实现功能是查询注册表,得到机器上当前XX软件的版本,根据版本的不同复制不同的文件,链接不同的快捷方式,但是发现无法用if els ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5oPGRb.html" rel="bookmark" class="title">完整性约束-求助！！！sql中怎么重新定义字段约束，并且将其定义为8的倍数？</a>
					<div>
						问题描述 求助!!!sql中怎么重新定义字段约束,并且将其定义为8的倍数? 还有就是如何将字段类型定义为5位整数,2位小数的数值型?谢谢!! 解决方案 http://database.51cto.co ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5onLBb.html" rel="bookmark" class="title">BigFish宣布允许用户用比特币来购买游戏和应用内消费</a>
					<div>
						3月13日消息,美国全球化的网络软件和游戏制造商BigFish宣布开始接受比特币支付,允许用户用比特币来购买游戏和应用内消费. Bigfish表示,目前他们正与比特币交易公司Coinbase合作,为他 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b245Kkp.html" rel="bookmark" class="title">企业级的电子设备，影响着我们生活的方方面面</a>
					<div>
						摘要: 我们日常生活中见到的很多移动电子设备,例如便利店的条码扫描仪,快递员的带触控笔的平板电脑,仓库管理员的手持设备等等,都已经过时八年之久了,早在iPhone出现之前.这些过 我们日常生活中见到的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjQwYnz.html" rel="bookmark" class="title">Nodejs进阶：如何玩转子进程（child&lowbar;process）</a>
					<div>
						本文摘录自个人总结&lt;Nodejs学习笔记&gt;,更多章节及更新,请访问 github主页地址.欢迎加群交流,群号 197339705. 模块概览 在node中,child_process这个模 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2PdV3p.html" rel="bookmark" class="title">灵活强大的构建系统Gradle</a>
					<div>
						灵活强大的构建系统Gradle 前言 构建,软件生命周期中重要的一环,在现代软件开发过程中,起着越来越重要的作用.过去在Java或类Java的世界里,Ant.Maven再熟悉不过了,Maven凭借其强 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgVrEAb.html" rel="bookmark" class="title">TCPDF 5&period;9&period;147发布 生成PDF文件的PHP类</a>
					<div>
						TCPDF 5.9.147该版本主要修复了SVG梯度的问题. TCPDF是一个无需外部扩展下能够快速生成PDF文件的PHP类.TCPDF支持所有ISO页面格式和自定义页面格式,还包含自定义边距和度量单 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zV0mWVM.html" rel="bookmark" class="title">vc&plus;&plus;-编译器如何通过函数找到动态库的</a>
					<div>
						问题描述 编译器如何通过函数找到动态库的 生成的可执行文件里函数名是不是被替换成动态库里的函数地址了.还有就是头文件里的信息是不是会被录入符号表啊? 解决方案 编译器通过导入的lib,它里面有导入函数 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWlZ3Xp.html" rel="bookmark" class="title">android ListView Adapter不显示</a>
					<div>
						问题描述 android ListView Adapter不显示 //activity package wk.bluetooth; import android.app.Activity; impor ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlKY8Vb.html" rel="bookmark" class="title">【hibernate框架】一对多&lpar;多对一&rpar;双向CRUD-Fetch2</a>
					<div>
						继续对Fetch注解进行测试 User.java: package cn.edu.hpu.one2many; import javax.persistence.CascadeType; import  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0R0mnz.html" rel="bookmark" class="title">【新人】vb&period;net访问SQL2005，并进行增删改查操作</a>
					<div>
						问题描述 我是新人,希望有人提供一份vb.net访问SQL2005,并进行增删改查操作的代码,我想研究一下,谢谢 解决方案 解决方案二:google下大把啊					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7ZNPKp.html" rel="bookmark" class="title">dos命令for用法详解&lowbar;DOS&sol;BAT</a>
					<div>
						for帮助文档 对一组文件中的每一个文件执行某个特定命令. FOR %variable IN (set) DO command [command-parameters] %variable 指定一个单 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnRKDZp.html" rel="bookmark" class="title">《中国人工智能学会通讯》&mdash;&mdash;11&period;17 基于聚类规则项的多任务聚类方法</a>
					<div>
						11.17 基于聚类规则项的多任务聚类方法 多任务学习方法能够对交通路网中的多个节点同时进行分析,这满足了交通的网络性特点所提出的要求.进一步的,异质的多任务学习方法又对应了交通中关联关系的异质性特点 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8YEg9z.html" rel="bookmark" class="title">school-W3School离线手册使用问题</a>
					<div>
						问题描述 W3School离线手册使用问题 每次当我打开手册后只要进入里面的菜单都会出现这样的问题,如图: ,,, 我尝试了下载这个文件,并且打开,随后却弹出Dreamveawer这个软件,如图: 各 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bodjmdM.html" rel="bookmark" class="title">Cisco路由器OSPF协议学习技巧</a>
					<div>
						本文主要给大家详细的介绍了路由器OSPF的协议设置,并且说明了该协议的功能作用,下面的文章将给予你详细的介绍.OSPF协议操作:1.宣告OSPF的路由器从所有启动OSPF协议的接口上发出HELLO报文 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq7ZgGz.html" rel="bookmark" class="title">模块内的函数体内的static变量问题</a>
					<div>
						问题描述 模块内的函数体内的static变量问题 我想问的是,在模块内的static变量是否又有函数体内跟函数体外之分,意思就是在模块内的某一个函数体内声明的static变量能否被模块内的另一个函数调 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3ZEG0z.html" rel="bookmark" class="title">java Arrays类详解及实例代码&lowbar;java</a>
					<div>
						最近做项目 用到Arrays 类,这里整理下,希望大家能够掌握Arrays . 1.Arrays类概述   针对数组进行操作的工具类.   提供了排序,查找等功能. 2.成员方法   public s ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.030 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
